'use strict';

var path = require('path');
var svelte = require('svelte');
var rollupPluginutils = require('rollup-pluginutils');

function svelte$1 ( options ) {
	if ( options === void 0 ) options = {};

	var filter = rollupPluginutils.createFilter( options.include, options.exclude );

	var extensions = options.extensions || [ '.html', '.svelte' ];

	return {
		name: 'svelte',

		transform: function transform ( code, id ) {
			if ( !filter( id ) ) { return null; }
			if ( !~extensions.indexOf( path.extname( id ) ) ) { return null; }

			return svelte.compile( code );
		}
	};
}

module.exports = svelte$1;
